#
Read "/etc/X11/fvwm/system.fvwm2rc" 
Style "*"       BorderWidth 5, HandleWidth 6
Style "*"       FvwmBorder, FirmBorder

BorderStyle     Simple

TitleStyle      LeftJustified
TitleStyle      -- Raised

ButtonStyle     All -- Raised

# window title, inactive and active
# #
Colorset 1 fg black, bg rgb:DA/D4/CF, Plain, NoShape
Colorset 2 fg white, bg rgb:4A/8D/D0, Plain, NoShape
#
# # window borders, inactive and active
# #
Colorset 3 fg black, bg rgb:DA/D4/CF, Plain, NoShape
Colorset 4 fg black, bg rgb:4A/8D/D0, Plain, NoShape
# inactive menu item fg+bg and menu face if any
 #
Colorset 5 fg black, bg rgb:C0/C0/C0, Plain, NoShape
#
# # active menu item fg+bg
# #
Colorset 6 fg black, bg rgb:80/98/B0, Plain, NoShape

# # greyed menu item fg
# #
Colorset 7 fg grey48, bg grey48, Plain, NoShape


DefaultColorset 0
Style * Colorset 1
Style * HilightColorset 2
Style * BorderColorset 3
Style * HilightBorderColorset 4

MenuStyle * MenuFace, ActiveFore, HilightBack
MenuStyle * MenuColorset 5, ActiveColorset 6, GreyedColorset 7



FuncFvwmDecorBackground

Style "*" Button 1, Button 2, Button 4, Button 6
Style "*" MWMButtons  # button relief follows the state

AddButtonStyle 1 Vector 5 25x40@1 25x60@1 75x60@0 75x40@0 25x40@1
AddButtonStyle 2 Vector 16 20x20@1 30x20@1 50x40@1 70x20@1 80x20@1 80x30@0 60x50@0 80x80@0 70x80@0 50x60@0 30x80@0 20x80@0 20x70@0 40x50@1 20x30@0 20x20@1
AddButtonStyle 4 Vector 4 50x25@1 75x75@0 25x75@0 50x25@1
AddButtonStyle 6 Vector 4 50x75@1 25x25@1 75x25@1 50x75@0

ButtonStyle 1 - Clear MWMDecorMenu
ButtonStyle 2 - Clear
ButtonStyle 4 - Clear MWMDecorMax
ButtonStyle 6 - Clear MWMDecorMin

TitleStyle Height MinHeight 18

#     button	context	modifie	function
Mouse 1 	1	A	FuncFvwmWindowOpsOrAction Delete
MouseXX 2 3	1	A       Menu MenuFvwmWindowMove
MouseXX 3 2	1	A	Menu MenuFvwmWindowGroupOps
Mouse 0 	2	A	FuncFvwmDeleteOrDestroy
Mouse 1 	2	A	Close
Mouse 2 	2	A	Close
Mouse 3 	2	A	Destroy
Mouse 1 	4	A	Maximize 100 100
Mouse 2 	4	A	Maximize 0 100
Mouse 3 	4	A	Maximize 100 0
Mouse 1 	4	S	Maximize grow grow
Mouse 2 	4	S	Maximize    0 grow
Mouse 3 	4	S	Maximize grow    0
Mouse 1 	6	A	Iconify
Mouse 2 	6	A	FuncFvwmIconifySameResource on
Mouse 3 	6	A	FuncFvwmIconifySameResource toggle

